Subject: Re: bug#37917: Kernel Panic

From: Jesse Gibbons <[email-masked]>
Date: Fri, 25 Oct 2019 09:46:26 -0600

On Fri, 2019-10-25 at 10:23 +0200, pelzflorian (Florian Pelz) wrote:
> On Fri, Oct 25, 2019 at 03:19:10AM -0400, Raghav Gururajan wrote:
> > Hello Guix!
> > 
> > Whenever I shutdown my system, 50% of the time, I end up with kernel
> > panic. Then I had to do cold restart.
> > 
> 
> I just wanted to say I have a kernel panic too sometimes (I do not
> know if the backtrace is the same and cannot easily reproduce the
> issue or provide a photo) on a 2010 Macbook though much less than 50%
> of the time.
> 
> 
> > Kernel Panic:
> > https://upload.disroot.org/r/B5Z3ofx_#/XTJVfcPxwYaDqzEGiQdv0Y6wQal34Oik77HlA7K7BE=
> > System Config:
> > https://bin.disroot.org/?a1ab3e3f7c3d38a5#SF5FHGGDC2+OYKbCrTCT+szeNvLFQbvN13OoimpDxng=
> 
> I do not see any kernel field, so you are using modern linux-libre.  I
> have to use
> 
> (kernel linux-libre-4.9)
> 
> I suppose it is a Shepherd bug then, maybe?
> 
> 
> 
> > Device: FSF's RYF-Certified TET-X200T (https://tehnoetic.com/tet-x200t)
> > a.k.a Lenovo ThinkPad X200 Tablet
> > 
> > Hardware Specs (Mods/Variants):
> > Intel® Core™2 Duo Processor SL9600 (2.13 GHz), Added Ericsson F3507g
> > Wireless WAN card,
> > Added Gemalto Compact Smart Card Reader Writer (ExpressCard),
> > Upgraded to Display with Wacom Pen+Finger Touch and Web Camera,
> > Upgraded to 8GB RAM,
> > and Upgraded to Atheros AR5BHB116 300Mbps Dual-Band WWAN.
> > 
> 
> My Macbook has none of these except the CPU is similar.
> 
> Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz
> 
> Maybe something is too slow?
> 
> Regards,
> Florian
> 
> 
> 
I also have a kernel panic often. The picture i took is too large for the
mailing list though :( The dump says something about trying to kill init.

I have successfully predicted one panic when some things stopped responding
and I was unable to open gnome-control-panel or gnome-system-monitor, but
that symptom might be coincidental.

My system: librem 15v3 w/o tpm, 32GB RAM
Intel(R) Core(TM) i7-6500U CPU @ 2.50GHz